6.0.0-git
2021-01-18

[#6209] Get attribute values by criteria
Summary Get attribute values by criteria
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-02-05 (4731 days ago)
Due
Updated 2008-02-08 (4728 days ago)
Assigned
Resolved 2008-02-08 (4728 days ago)
Milestone
Patch No

History
2008-02-08 19:49:33 Chuck Hagenbuch Comment #4
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Looks reasonable to me, and good to get in for 3.2. Committed and merged.
2008-02-07 15:48:00 Jan Schneider State ⇒ Feedback
 
2008-02-07 15:21:56 Michael Rubinsky Comment #3 Reply to this comment
This seems reasonable to me, but don't want to commit something to 
datatree without someone else, with more experience with DT, looking 
at it.



Don't seem to be able to set the state on this queue, so consider this 
set to "Feedback"


2008-02-05 10:16:37 Duck Comment #2
New Attachment: sql.diff Download
Reply to this comment
The patch
2008-02-05 10:15:42 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Get attribute values by criteria
Queue ⇒ Horde Framework Packages
Reply to this comment
Add a new getValuesByAttributes method to DataTree. Acts the same as 
getAttributeValues() but uses criteria filter. So you can directly 
select all possible values of an key/name combination corresponding 
filtered by additional attribute vales without need to read read all 
object  data and create them. For example I will submit a patch for 
Ansel soon, where we get all complete shares just to get gallery ids.

Saved Queries